REM THINDAT.BAS
REM Program to reduce size of sorted WOD file
REM Spacing between adjacent line numbers can be increased to 2 or more
REM Only suitable for four channel WOD, 3 analogue + status

REM Written by C.Wallis G3CWV
REM Created 16-August-1996
REM V 1.0 01-September-1998

REM Basic Interpreter required ... QBASIC

REM Input file  .... Table of WOD sorted starting with line number

REM Output file .... As input file

INPUT "Enter sorted WOD file  "; srt.File$
OPEN srt.File$ FOR INPUT AS #1
PRINT
INPUT "Enter name of output file "; out.File$
OPEN out.File$ FOR OUTPUT AS #2
PRINT
INPUT "Enter required line number spacing ( >1 ) ";n
INPUT #1, wod.line.no, chan1, chan2, chan3, chan4: REM Read input file
last.line.no = wod.line.no
format$ = "#### ### ### ### ####"
PRINT #2, USING format$; wod.line.no; chan1; chan2; chan3; chan4

DO
INPUT #1, wod.line.no, chan1, chan2, chan3, chan4: REM Read input file
IF wod.line.no >= last.line.no + n THEN
     PRINT #2, USING format$; wod.line.no; chan1; chan2; chan3; chan4
     last.line.no = wod.line.no
ENDIF

LOOP UNTIL EOF(1)
SYSTEM

REM --------------
